Channel Management/Accounts
Account Details
Interface description: Get account details based on accountId.
GET
/
api
/
v2
/
channels
/
accounts
/
{accountId}
Account Details
curl --request GET \
--url https://aitoearn.cn/api/v2/channels/accounts/{accountId} \
--header 'X-Api-Key: <api-key>'import requests
url = "https://aitoearn.cn/api/v2/channels/accounts/{accountId}"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://aitoearn.cn/api/v2/channels/accounts/{accountId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://aitoearn.cn/api/v2/channels/accounts/{accountId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"code": 0,
"message": "Request succeeded",
"data": {
"id": "string",
"userId": "string",
"type": "string",
"uid": "string",
"avatar": "string",
"nickname": "string",
"fansCount": "number",
"followingCount": "number",
"readCount": "number",
"likeCount": "number",
"collectCount": "number",
"forwardCount": "number",
"commentCount": "number",
"workCount": "number",
"income": "number",
"groupId": "string",
"status": "number",
"rank": "number",
"relayAccountRef": "string | null",
"createdAt": "string",
"updatedAt": "string"
},
"requestId": "string"
}Authorizations
Need to get API Key from AiToEarn. Click to go to "API Key Obtaining Tutorial".
Path Parameters
Channel account ID. Use data.list[n].id returned by the Account List endpoint.
Response
200 - application/json
The request has been processed by the service. Business success is determined by whether the response body has code === 0.
Hide child attributes
Hide child attributes
Business status code. 0 means success; non-zero means a business error.
Response message.
Request ID.
Error response timestamp in Unix milliseconds.
Last modified on September 29, 2026
⌘I
Account Details
curl --request GET \
--url https://aitoearn.cn/api/v2/channels/accounts/{accountId} \
--header 'X-Api-Key: <api-key>'import requests
url = "https://aitoearn.cn/api/v2/channels/accounts/{accountId}"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://aitoearn.cn/api/v2/channels/accounts/{accountId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://aitoearn.cn/api/v2/channels/accounts/{accountId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"code": 0,
"message": "Request succeeded",
"data": {
"id": "string",
"userId": "string",
"type": "string",
"uid": "string",
"avatar": "string",
"nickname": "string",
"fansCount": "number",
"followingCount": "number",
"readCount": "number",
"likeCount": "number",
"collectCount": "number",
"forwardCount": "number",
"commentCount": "number",
"workCount": "number",
"income": "number",
"groupId": "string",
"status": "number",
"rank": "number",
"relayAccountRef": "string | null",
"createdAt": "string",
"updatedAt": "string"
},
"requestId": "string"
}
